<template>
  <a-modal :visible="previewVisible" :footer="null" @cancel="() => (previewVisible = !previewVisible)">
    <img :alt="previewImg.alt" style="width: 100%" :src="previewImg.img" />
  </a-modal>
</template>
<script>
export default {
  name: '',

  data() {
    return {
      previewVisible: false,
      previewImg: {
        alt: '无图像',
        img: ''
      }
    }
  },
  methods: {
      Show(imginfo) {
          this.previewVisible = !this.previewVisible
          this.previewImg = imginfo
      }
  }
}
</script>
